<template>
  <div class="equipmentDetail">
    <div class="header">
      <span class="iconfont" @click="$router.back()">&#xe62c;</span>设备详情
    </div>

    <!-- 第三行 -->
    <div class="row">
      <div class="title">设备信息</div>
      <div class="flexList">
        <div class="item">
          <div class="label">设备名称</div>
          <div class="data">{{ detailData.devName }}</div>
        </div>

        <div class="item">
          <div class="label">设备ID</div>
          <div class="data">{{ detailData.devId }}</div>
        </div>

        <div class="item">
          <div class="label">使用激活码</div>
          <div class="data">{{ detailData.activateCode }}</div>
        </div>

        <div class="item">
          <div class="label">安装时间</div>
          <div class="data">{{ detailData.installTime }}</div>
        </div>

        <div class="item">
          <div class="label">绑定用户</div>
          <div class="data">{{ detailData.username }}</div>
        </div>

        <div class="item">
          <div class="label">IP地址</div>
          <div class="data">{{ detailData.devIp }}</div>
        </div>

        <div class="item">
          <div class="label">设备位置</div>
          <div class="data">{{ detailData.address }}</div>
        </div>

        <div class="item">
          <div class="label">首次使用时间</div>
          <div class="data">{{ detailData.firstUseTime }}</div>
        </div>

        <div class="item">
          <div class="label">端口</div>
          <div class="data">{{ detailData.serverPort }}</div>
        </div>

        <div class="item">
          <div class="label">子网隐码</div>
          <div class="data">{{ detailData.subMask }}</div>
        </div>

        <div class="item">
          <div class="label">网关</div>
          <div class="data">{{ detailData.gateway }}</div>
        </div>

        <div class="item">
          <div class="label">DNS</div>
          <div class="data">{{ detailData.dns }}</div>
        </div>
      </div>
    </div>

    <!-- 第四行 -->
    <div class="row">
      <div class="title">硬件信息</div>
      <div class="flexList">
        <div class="item">
          <div class="label">设备型号</div>
          <div class="data">{{ detailData.devMode }}</div>
        </div>

        <div class="item">
          <div class="label">设备类型</div>
          <div class="data">{{ detailData.devType }}</div>
        </div>

        <div class="item">
          <div class="label">通道个数</div>
          <div class="data">{{ detailData.channelCount }}</div>
        </div>

        <div class="item">
          <div class="label">主控版本</div>
          <div class="data">{{ detailData.masterVersion }}</div>
        </div>

        <div class="item">
          <div class="label">web版本</div>
          <!-- <div class="data">{{ detailData.webVersion }}</div> -->
          <div class="data">2.0.0</div>
        </div>

        <div class="item">
          <div class="label">硬盘信息</div>
          <div class="data">{{ detailData.disk }}</div>
        </div>

        <div class="item">
          <div class="label">内存</div>
          <div class="data">{{ detailData.mem }}</div>
        </div>

        <div class="item">
          <div class="label">CPU</div>
          <div class="data">{{ detailData.devCpu }}</div>
        </div>

        <div class="item">
          <div class="label">运行时间</div>
          <div class="data">{{ detailData.runtime }}</div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { findDevDetail } from "@/api/device";
export default {
  created() {
    this.findDetail();
  },
  data() {
    return {
      id: null,
      detailData: {},
      //四个环形进度条颜色
    };
  },
  methods: {
    //获取设备详情
    async findDetail() {
      this.id = this.$route.query.id;
      const res = await findDevDetail({ devId: this.id });
      this.detailData = res.data;
    },
  },
};
</script>

<style lang="scss" scoped >
.equipmentDetail {
  background-color: rgb(243, 245, 248);
  .header {
    padding: 0 24px;
    height: 50px;
    font-size: 16px;
    color: #666666;
    line-height: 50px;
    background: #ffffff;
    font-weight: 700;

    span {
      margin-right: 10px;
      cursor: pointer;
    }
  }

  .row {
    margin: 0 24px;
    box-sizing: border-box;
    padding: 20px;
    margin-top: 24px;
    background: #ffffff;

    .title {
      padding-left: 10px;
      margin-bottom: 30px;
      height: 20px;
      line-height: 20px;
      font-size: 16px;
      font-weight: 700;
      border-left: 4px solid #0065ff;
    }

    .flexList {
      display: flex;
      flex-wrap: wrap;

      .item {
        margin-right: 20px;
        margin-bottom: 30px;
        display: flex;
        font-size: 14px;
        width: 300px;
        color: #3d3d3d;
        font-weight: 700;

        .label {
          width: 100px;
          color: #666666;
          font-weight: 400;
        }
      }
    }
  }
}
</style>